#VU45797 Use of a broken or risky cryptographic algorithm


Published: 2020-08-20

Vulnerability identifier: #VU45797

Vulnerability risk: Low

CVSSv3.1: 2.9 [CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:L/I:N/A:N/E:U/RL:O/RC:C]

CVE-ID: CVE-2020-12400

CWE-ID: CWE-327

Exploitation vector: Local

Exploit availability: No

Vulnerable software:
Mozilla NSS
Universal components / Libraries / Libraries used by multiple products

Vendor: Mozilla

Description

The vulnerability allows a local user to gain access to sensitive information.

The vulnerability exists in Mozilla NSS library in the way P-384 and P-521 curves are used in the generation of EDSA signatures, leaking partial information about the ECDSA nonce. Given a small number of ECDSA signatures, this information can be used to steal the private key.

Mitigation
Install updates from vendor's website.

Vulnerable software versions

Mozilla NSS: 3.0.1 - 3.54


CPE

External links
http://security.gentoo.org/glsa/202008-08
http://access.redhat.com/security/cve/cve-2020-12400


Q & A

Can this vulnerability be exploited remotely?

No. This vulnerability can be exploited locally. The attacker should have authentication credentials and successfully authenticate on the system.

Is there known malware, which exploits this vulnerability?

No. We are not aware of malware exploiting this vulnerability.


Latest bulletins with this vulnerability